Name: soundmodem
Version: 0.10
Release: 6%{?dist}
Summary: Soundcard Packet Radio Modem
Group: Applications/Communications
License: GPLv2+
URL: http://www.baycom.org/~tom/ham/soundmodem/
Source: http://www.baycom.org/~tom/ham/soundmodem/%{name}-%{version}.tar.gz
Patch0: soundmodem-0.10-spurious-printf.patch
Patch1: soundmodem-0.10-alsa-tx.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Requires: /sbin/ifconfig /sbin/route /sbin/arp
BuildRequires: gtk+-devel
BuildRequires: alsa-lib-devel
BuildRequires: libxml-devel
BuildRequires: audiofile-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
Requires (preun): chkconfig
Requires (preun): initscripts
Requires (post): chkconfig
Requires(postun): initscripts


%description
This package contains the driver and the diagnostic utility for
userspace SoundModem. It allows you to use soundcards 
as Amateur Packet Radio modems.

%package devel

Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .printf
%patch1 -p1 -b .alsa-tx

%build
autoreconf -if
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
find %{buildroot} -name '*.la' -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/{ax25,rc.d/init.d}
sed -i -e "s/# chk.*/# chkconfig: - 50 50/g" soundmodem.initscript
install -p -m 755 soundmodem.initscript %{buildroot}%{_sysconfdir}/rc.d/init.d/soundmodem
mkdir -p %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/modem.h %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/simd.h %{buildroot}%{_includedir}/%{name}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add soundmodem

%preun
if [ $1 = 0 ]; then
 /sbin/service soundmodem stop > /dev/null 2>&1
 /sbin/chkconfig --del soundmodem
fi

%postun
if [ "$1" -ge "1" ] ; then
 /sbin/service soundmodem condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-, root, root, -)
%{_prefix}/sbin/*
%{_prefix}/bin/*
%{_prefix}/share/man/*/*
%{_sysconfdir}/rc.d/init.d/soundmodem
%doc AUTHORS COPYING ChangeLog NEWS README newqpsk/README.newqpsk

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}

%changelog
* Sun Jan 25 2009 Lucian Langa <cooly@gnome.eu.org> - 0.10-6
- apply debian patch for tx switching in ALSA mode 

* Sat Dec 06 2008 Alan Crosswell <alan@columbia.edu> - 0.10-5
- Apply patch to remove spurious printfs.

* Wed Dec 03 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-4
- move include files to it's own separate include dir
- fix duplicated doc files

* Thu Nov 20 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-3
- update scriptlets
- update BR
- fix old configure script

* Thu Jul 17 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-2
- Description update

* Fri Jul 11 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-1
- Initial spec file

